Debian Bug report logs - #582774
seed FTBFS on ia64

version graph

Package: src:seed; Maintainer for src:seed is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>;

Reported by: peter green <plugwash@p10link.net>

Date: Sun, 23 May 2010 14:09:04 UTC

Severity: important

Tags: wheezy-ignore

Found in version seed/2.30.0-1

Fixed in version 3.2.0-2

Done: Emilio Pozuelo Monfort <pochu@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#582774; Package seed. (Sun, 23 May 2010 14:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
New Bug report received and forwarded. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 23 May 2010 14:09:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: submit@bugs.debian.org
Subject: seed FTBFS on ia64
Date: Sun, 23 May 2010 15:06:46 +0100
Package: seed
Version: 2.30.0-1
Severity: serious

Seed fails to build on ia64. Unfortunately I don't have access to an 
ia64 system so I can't debug this myself.

https://buildd.debian.org/fetch.cgi?pkg=seed&arch=ia64&ver=2.30.0-1&stamp=1270425014&file=log&as=raw

make[5]: Entering directory `/build/buildd-seed_2.30.0-1-ia64-em4hmt/seed-2.30.0/doc/modules/readline'
../../../src/seed ../../../doc/modules/make-functions.js ../../../doc/modules/readline/readline.js > ../../../doc/modules/readline/readline-funcs.xml

** (seed:307): CRITICAL **: Line 0 in (null): (null) (null)


As well as being rc in it's own right this bug is blocking the migration 
of fixes for a number of rc bugs in epiphany-browser.






Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#582774; Package seed. (Sat, 29 May 2010 13:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 29 May 2010 13:45:05 GMT) Full text and rfc822 format available.

Message #10 received at 582774@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: peter green <plugwash@p10link.net>, 582774@bugs.debian.org
Cc: debian-release <debian-release@lists.debian.org>
Subject: Re: Bug#582774: seed FTBFS on ia64
Date: Sat, 29 May 2010 15:44:26 +0200
[Message part 1 (text/plain, inline)]
Le dimanche 23 mai 2010 à 15:06 +0100, peter green a écrit :
> Package: seed
> Version: 2.30.0-1
> Severity: serious
> 
> Seed fails to build on ia64. Unfortunately I don't have access to an 
> ia64 system so I can't debug this myself.
> 
> https://buildd.debian.org/fetch.cgi?pkg=seed&arch=ia64&ver=2.30.0-1&stamp=1270425014&file=log&as=raw
> 
> make[5]: Entering directory `/build/buildd-seed_2.30.0-1-ia64-em4hmt/seed-2.30.0/doc/modules/readline'
> ../../../src/seed ../../../doc/modules/make-functions.js ../../../doc/modules/readline/readline.js > ../../../doc/modules/readline/readline-funcs.xml
> 
> ** (seed:307): CRITICAL **: Line 0 in (null): (null) (null)
> 
> 
> As well as being rc in it's own right this bug is blocking the migration 
> of fixes for a number of rc bugs in epiphany-browser.

After some analysis, it turns out that previous versions of seed can
build but don’t actually work on ia64.

The bug appeared between 2.27.91-1 and 2.28.0-1, but it turns out it is
not caused by a change in seed. Trying to build seed 2.27.91-1 on a
current ia64 chroot leads to the same failure. So this might actually be
a bug in the toolchain.

In the meantime, I think the only sane solution is to remove existing
seed packages on ia64 (since they are broken) and to disable seed
support in epiphany on ia64.

Any objections?
-- 
 .''`.      Josselin Mouette
: :' :
`. `'  “If you behave this way because you are blackmailed by someone,
  `-    […] I will see what I can do for you.”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#582774; Package seed. (Sun, 30 May 2010 09:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 30 May 2010 09:51:03 GMT) Full text and rfc822 format available.

Message #15 received at 582774@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: peter green <plugwash@p10link.net>
Cc: 582774@bugs.debian.org, debian-ia64@lists.debian.org
Subject: Re: Bug#582774: seed FTBFS on ia64
Date: Sun, 30 May 2010 11:48:24 +0200
[Message part 1 (text/plain, inline)]
Le samedi 29 mai 2010 à 15:44 +0200, Josselin Mouette a écrit :
> > make[5]: Entering directory `/build/buildd-seed_2.30.0-1-ia64-em4hmt/seed-2.30.0/doc/modules/readline'
> > ../../../src/seed ../../../doc/modules/make-functions.js ../../../doc/modules/readline/readline.js > ../../../doc/modules/readline/readline-funcs.xml
> > 
> > ** (seed:307): CRITICAL **: Line 0 in (null): (null) (null)
> > 
> > As well as being rc in it's own right this bug is blocking the migration 
> > of fixes for a number of rc bugs in epiphany-browser.

I have requested the removal of seed/ia64 in unstable so that epiphany
can migrate.

> After some analysis, it turns out that previous versions of seed can
> build but don’t actually work on ia64.
> 
> The bug appeared between 2.27.91-1 and 2.28.0-1, but it turns out it is
> not caused by a change in seed. Trying to build seed 2.27.91-1 on a
> current ia64 chroot leads to the same failure. So this might actually be
> a bug in the toolchain.

I’d appreciate now if ia64 porters could have a look. At the time of the
g_critical error, the stack is corrupt and I have no idea on how to
debug that. I’d appreciate at least some advice on where to look.

Program received signal SIGABRT, Aborted.
(gdb) bt
#0  <signal handler called>
Cannot access memory at address 0x28

All I can tell is that it’s not an optimization error since -O0 gives
the same result.

Thanks,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'  “If you behave this way because you are blackmailed by someone,
  `-    […] I will see what I can do for you.”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Bug Marked as found in versions seed/2.28.1-1. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Sun, 30 May 2010 16:03:08 GMT) Full text and rfc822 format available.

Added tag(s) help. Request was from Emilio Pozuelo Monfort <pochu@debian.org> to control@bugs.debian.org. (Sat, 07 Aug 2010 00:45:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#582774; Package seed. (Fri, 03 Sep 2010 15:40:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Fri, 03 Sep 2010 15:40:08 GMT) Full text and rfc822 format available.

Message #24 received at 582774@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Josselin Mouette <joss@debian.org>, 582774@bugs.debian.org
Cc: peter green <plugwash@p10link.net>, debian-release <debian-release@lists.debian.org>
Subject: Re: Bug#582774: seed FTBFS on ia64
Date: Fri, 3 Sep 2010 17:26:48 +0200
[Message part 1 (text/plain, inline)]
severity 582774 important
kthxbye

On Sat, May 29, 2010 at 15:44:26 +0200, Josselin Mouette wrote:

> After some analysis, it turns out that previous versions of seed can
> build but don’t actually work on ia64.
> 
> The bug appeared between 2.27.91-1 and 2.28.0-1, but it turns out it is
> not caused by a change in seed. Trying to build seed 2.27.91-1 on a
> current ia64 chroot leads to the same failure. So this might actually be
> a bug in the toolchain.
> 
> In the meantime, I think the only sane solution is to remove existing
> seed packages on ia64 (since they are broken) and to disable seed
> support in epiphany on ia64.
> 
There are no seed packages on ia64 anymore, so downgrading this bug to a
non-RC severity.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Severity set to 'important' from 'serious' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Fri, 03 Sep 2010 15:40:13 GMT) Full text and rfc822 format available.

Bug reassigned from package 'seed' to 'src:seed'. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Wed, 29 Feb 2012 14:33:11 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions seed/2.30.0-1 and seed/2.28.1-1. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Wed, 29 Feb 2012 14:33:20 GMT) Full text and rfc822 format available.

Bug Marked as found in versions seed/2.30.0-1. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Wed, 29 Feb 2012 14:33:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#582774; Package src:seed. (Fri, 09 Mar 2012 22:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Fri, 09 Mar 2012 22:12:04 GMT) Full text and rfc822 format available.

Message #37 received at 582774@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: 582774@bugs.debian.org
Subject: Re: Bug#582774: seed FTBFS on ia64
Date: Fri, 09 Mar 2012 22:09:53 +0000
From looking at http://wiki.debian.org/ArchitectureSpecificsMemo I have 
a suspision that ia64 needs to be added to the list of architectures 
needing aligned accesses in webkit like sparc was recently. However I 
have no way of testing if this fixes the build failure nor any 
particular interest in fixing it myself (I only looked at the sparc 
issue because it was getting in the way of a port I do care about.




Added blocking bug(s) of 582774: 694971 Request was from Stephan Schreiber <info@fs-driver.org> to control@bugs.debian.org. (Sun, 02 Dec 2012 19:27:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 582774: 642750 Request was from Stephan Schreiber <info@fs-driver.org> to control@bugs.debian.org. (Sun, 02 Dec 2012 19:30:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#582774; Package src:seed. (Sun, 02 Dec 2012 19:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephan Schreiber <info@fs-driver.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 02 Dec 2012 19:33:03 GMT) Full text and rfc822 format available.

Message #46 received at 582774@bugs.debian.org (full text, mbox):

From: Stephan Schreiber <info@fs-driver.org>
To: plugwash@p10link.net
Cc: 582774@bugs.debian.org
Subject: seed FTBFS on ia64
Date: Sun, 02 Dec 2012 20:30:20 +0100
severity 582774 serious
tags 582774 - help
thanks



The seed package suffers from two bugs of webkit:
bug#642750 (epiphany-browser: *HIGHLY* unstable on ia64  
(IA-64/IPF/Itanium) platform)
bug#694971 (ia64 (Itanium) Epiphany browser crashes within  
JSC::JSArray::increaseVectorLength())

I can confirm that the most recent seed package on Wheezy no longer  
FTBS on ia64 after the webkit package with the patches of bug#642750  
and bug#694971 has been installed.

So all you need to do here is waiting until the mentioned bugs are  
done, and add seed for ia64 on the FTP again.

Stephan





Severity set to 'serious' from 'important' Request was from Stephan Schreiber <info@fs-driver.org> to control@bugs.debian.org. (Sun, 02 Dec 2012 19:33:09 GMT) Full text and rfc822 format available.

Removed tag(s) help. Request was from Stephan Schreiber <info@fs-driver.org> to control@bugs.debian.org. (Sun, 02 Dec 2012 19:33:09 GMT) Full text and rfc822 format available.

Added indication that bug 582774 blocks 697174 Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Wed, 02 Jan 2013 07:45:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#582774; Package src:seed. (Sat, 26 Jan 2013 17:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil McGovern <neilm@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 26 Jan 2013 17:18:02 GMT) Full text and rfc822 format available.

Message #57 received at 582774@bugs.debian.org (full text, mbox):

From: Neil McGovern <neilm@debian.org>
To: 582774@bugs.debian.org
Subject: Adding wheezy-ignore tag
Date: Sat, 26 Jan 2013 17:15:36 +0000
[Message part 1 (text/plain, inline)]
Control: tag -1 +wheezy-ignore

This doesn't seem to actually affect wheezy in a user-environment. Thus
adding wheezy-ignore tag.

Neil
-- 
[signature.asc (application/pgp-signature, inline)]

Added tag(s) wheezy-ignore. Request was from Neil McGovern <neilm@debian.org> to 582774-submit@bugs.debian.org. (Sat, 26 Jan 2013 17:18:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#582774; Package src:seed. (Sat, 26 Jan 2013 17:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 26 Jan 2013 17:30:03 GMT) Full text and rfc822 format available.

Message #64 received at 582774@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Stephan Schreiber <info@fs-driver.org>, 582774@bugs.debian.org
Cc: plugwash@p10link.net
Subject: Re: Bug#582774: seed FTBFS on ia64
Date: Sat, 26 Jan 2013 17:26:00 +0000
severity 582774 important
thanks

I don't see any reason for this bug to be serious; there are no seed
packages for ia64 in the archive and it's not blocking testing
migrations etc. At the point when that changes, this bug should be
re-evaluated.

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"It's actually quite entertaining to watch ag129 prop his foot up on
 the desk so he can get a better aim."          [ seen in ucam.chat ]




Severity set to 'important' from 'serious' Request was from Steve McIntyre <steve@einval.com> to control@bugs.debian.org. (Sat, 26 Jan 2013 17:30:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#582774; Package src:seed. (Sat, 16 Mar 2013 08:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephan Schreiber <info@fs-driver.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 16 Mar 2013 08:51:04 GMT) Full text and rfc822 format available.

Message #71 received at 582774@bugs.debian.org (full text, mbox):

From: Stephan Schreiber <info@fs-driver.org>
To: 582774@bugs.debian.org
Cc: neilm@debian.org, steve@einval.com
Subject: Please could you close this bug (seed FTBFS on ia64)?
Date: Sat, 16 Mar 2013 09:47:51 +0100
Since webkit is fixed on ia64, seed no longer FTBFS (seed 3.2.0-2  
ia64, testing).
The ia64 buildds have built seed in the meantime.

Please could you close this bug?

So Debian bug#697174 (ia64 (Itanium), epiphany-browser, please enable  
seed) is no longer blocked.

Regards
Stephan





Reply sent to Emilio Pozuelo Monfort <pochu@debian.org>:
You have taken responsibility. (Sat, 16 Mar 2013 11:57:07 GMT) Full text and rfc822 format available.

Notification sent to peter green <plugwash@p10link.net>:
Bug acknowledged by developer. (Sat, 16 Mar 2013 11:57:07 GMT) Full text and rfc822 format available.

Message #76 received at 582774-done@bugs.debian.org (full text, mbox):

From: Emilio Pozuelo Monfort <pochu@debian.org>
To: Stephan Schreiber <info@fs-driver.org>, 582774-done@bugs.debian.org
Subject: Re: Bug#582774: Please could you close this bug (seed FTBFS on ia64)?
Date: Sat, 16 Mar 2013 12:52:06 +0100
Version: 3.2.0-2

On 03/16/2013 09:47 AM, Stephan Schreiber wrote:
> Since webkit is fixed on ia64, seed no longer FTBFS (seed 3.2.0-2 ia64, testing).
> The ia64 buildds have built seed in the meantime.
>
> Please could you close this bug?
>
> So Debian bug#697174 (ia64 (Itanium), epiphany-browser, please enable seed) is
> no longer blocked.

Sure, thanks for noticing.

Emilio




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 14 Apr 2013 07:27:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:16:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.